package com.alibaba.druid.sql.dialect.mariadb.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLAlterDatabaseItem;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbObjectImpl;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbAlterDatabaseKillJob extends MariadbObjectImpl implements SQLAlterDatabaseItem {
   private SQLName jobType;
   private SQLName jobId;

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.jobType);
         this.acceptChild(visitor, this.jobId);
      }

      visitor.endVisit(this);
   }

   public SQLName getJobType() {
      return this.jobType;
   }

   public void setJobType(SQLName jobType) {
      this.jobType = jobType;
   }

   public SQLName getJobId() {
      return this.jobId;
   }

   public void setJobId(SQLName jobId) {
      this.jobId = jobId;
   }
}
